Page MenuHomePhabricator

Fix lldb-mi disable/enable breakpoints commands
ClosedPublic

Authored by faxue on Jun 27 2016, 11:27 AM.

Details

Summary
  1. Make the enable breakpoint command actually enable
  2. Remove unnecessary output from disable/enable command which isn't following mi spec

Diff Detail

Repository
rL LLVM

Event Timeline

faxue updated this revision to Diff 61985.Jun 27 2016, 11:27 AM
faxue retitled this revision from to Fix lldb-mi disable/enable breakpoints commands.
faxue updated this object.
faxue added reviewers: abidh, ChuckR, jacdavis.
faxue set the repository for this revision to rL LLVM.
faxue added a subscriber: lldb-commits.
ChuckR accepted this revision.Jun 28 2016, 3:56 PM
ChuckR edited edge metadata.
This revision is now accepted and ready to land.Jun 28 2016, 3:56 PM
ChuckR added a subscriber: ki.stfu.Jul 12 2016, 5:04 PM

@abidh @ki.stfu Do you have any feedback? We would like to check this in and I want to get more sign off then just me.

ki.stfu edited edge metadata.Jul 13 2016, 6:37 AM

Hi Chuck! Sorry for delay, didn't see this CL. I'll check it tomorrow, so pls wait one more day.

ki.stfu accepted this revision.Jul 14 2016, 12:24 AM
ki.stfu edited edge metadata.

@faxue, thank you for your patch! The fixes look good, but if you don't mind I gonna improve your tests. After that I'll commit this patch.

ki.stfu updated this revision to Diff 63928.Jul 14 2016, 12:28 AM
ki.stfu edited edge metadata.

add checks for =breakpoint-modified

This revision was automatically updated to reflect the committed changes.